import { AbstractSqliteDB } from "@canvas-js/modeldb/utils";
import { Query, Method } from "./utils.js";
export class SqliteDB extends AbstractSqliteDB {
    constructor(db) {
        super();
        Object.defineProperty(this, "db", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.db = db;
    }
    prepareQuery(sql) {
        return new Query(this.db, sql);
    }
    prepareMethod(sql) {
        return new Method(this.db, sql);
    }
    transaction(fn) {
        this.transaction(fn);
    }
    close() {
        this.db.close();
    }
}
